/*#############################################################
Driver name	    : STM32F429I_Defaults.c
Author 					: Grant Phillips
Date Modified   : 14/09/2015
Compiler        : Keil ARM-MDK (uVision V4.70.0.0)
Tested On       : STM32F4-Discovery

Description			: A simple wrapper library for all the required 
									global variables and functions for a blank
									project in Keil using the standard peripheral
									libraries from ST.

Requirements    : * STM32F429I-Discovery Board

Functions				: NONE				
													  
Special Note(s) : NONE
##############################################################*/



/* #includes -------------------------------------------------*/
#include "main.h"																								



/* #defines --------------------------------------------------*/



/* Private function prototypes -----------------------------------------------*/
//static void Delay(__IO uint32_t nTime);   
void TP_Init(void);
void TP_Read(uint16_t *xpointer, uint16_t *ypointer, uint16_t *zpointer, uint16_t *tpointer);


/* #global variables -----------------------------------------*/
static __IO uint32_t TimingDelay;



// Function to insert a timing delay of nTime
// ###### DO NOT CHANGE ######
void Delay(__IO uint32_t nTime)
{
  TimingDelay = nTime;

  while(TimingDelay != 0);
}



// Function to Decrement the TimingDelay variable.
// ###### DO NOT CHANGE ######
void TimingDelay_Decrement(void)
{
  if (TimingDelay != 0x00)
  { 
    TimingDelay--;
  }
}


void TP_Init(void)
{
	IOE_Config();
}

void TP_Read(uint16_t *xpointer, uint16_t *ypointer, uint16_t *zpointer, uint16_t *tpointer)
{
	TP_STATE* TP_State; 
	
	TP_State = IOE_TP_GetState();
	
	if(TP_State->TouchDetected)
		*tpointer = 1;
	else
		*tpointer = 0;
	*xpointer = TP_State->X;
	*ypointer = TP_State->Y;
	*zpointer = TP_State->Z;
}



// Unused functions that have to be included to ensure correct compiling
// ###### DO NOT CHANGE ######
// =======================================================================

#ifdef  USE_FULL_ASSERT

/**
  * @brief  Reports the name of the source file and the source line number
  *         where the assert_param error has occurred.
  * @param  file: pointer to the source file name
  * @param  line: assert_param error line source number
  * @retval None
  */
void assert_failed(uint8_t* file, uint32_t line)
{
  /* User can add his own implementation to report the file name and line number,
     ex: printf("Wrong parameters value: file %s on line %d\r\n", file, line) */

  /* Infinite loop */
  while (1)
  {
  }
}
#endif
// =======================================================================



